# Generated from bson_ext-1.3.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name bson_ext

%if 0%{?rhel} <= 6 && 0%{?fedora} <= 16
%global gem_dir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global gem_instdir %{gem_dir}/gems/%{gem_name}-%{version}
%global gem_docdir %{gem_dir}/doc/%{gem_name}-%{version}
%global gem_cache %{gem_dir}/cache
%global gem_libdir %{gem_instdir}/lib
%global gem_spec %{gem_dir}/specifications/%{gem_name}-%{version}.gemspec
%endif

Summary: C extensions for Ruby BSON
Name: rubygem-%{gem_name}
Version: 1.8.3
Release: 1%{?dist}
Group: Development/Languages
License: ASL 2.0
URL: http://www.mongodb.org/display/DOCS/BSON

Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem

Requires: rubygem(bson) >= 1.8.0
Requires: ruby(abi) >= 1.8
Requires: rubygems
Requires: ruby
BuildRequires: ruby
BuildRequires: rubygems
BuildRequires: ruby-devel
BuildRequires: ruby(abi) >= 1.8
%if 0%{?rhel} >= 7 && 0%{?fedora} >= 17
BuildRequires: rubygems-devel
%endif
# for tests:
BuildRequires: rubygem(bson) >= 1.4.0
BuildRequires: rubygem(json)
BuildRequires: rubygem(minitest)

Provides: rubygem(%{gem_name}) = %{version}

%description
C extensions to accelerate the Ruby BSON serialization. For more information
about BSON, see http://bsonspec.org.  For information about MongoDB, see
http://www.mongodb.org.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}


%prep
gem unpack %{SOURCE0}
%setup -q -D -T -n  %{gem_name}-%{version}
gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
mkdir -p .%{gem_dir}
gem build %{gem_name}.gemspec

export CONFIGURE_ARGS="--with-cflags='%{optflags}'"
gem install -V \
        --local \
        --install-dir .%{gem_dir} \
        --force \
        --rdoc \
        %{gem_name}-%{version}.gem

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* %{buildroot}%{gem_dir}/


# Remove the binary extension sources and build leftovers.
rm -rf %{buildroot}%{gem_instdir}/ext/cbson
rm -f %{buildroot}%{gem_instdir}/.require_paths

%check
# v 1.8.1 - tests require test_helper, which is gone
#pushd .%{gem_instdir}
# Test suite fails on i386 :/
# https://jira.mongodb.org/browse/RUBY-466
#ruby -Iext -e "require 'bson'; Dir.glob('./test/bson/*_test.rb').each {|t| require t}" || :
#popd


%files
%doc %{gem_instdir}/LICENSE
%doc %{gem_instdir}/VERSION
%dir %{gem_instdir}
%exclude %{gem_cache}
%{gem_spec}

# NOTE - This is non-standard, upstream gem does not comply with _libdir macro
## This needs to be fixed either in a patch or upstream, will investigate
%{gem_instdir}/ext/%{gem_name}/%{gem_name}/cbson.so

%files doc
%doc %{gem_docdir}
%{gem_instdir}/bson_ext.gemspec

%changelog
* Wed Mar 20 2013 Brenton Leanhardt <bleanhar@redhat.com> - 1.8.3-1
- Updated to version 1.8.3

* Thu Feb 07 2013 Adam Miller <admiller@redhat.com> - 1.8.1-4
- Reverted changes from 1.8.1-3, the issue is with the upstream gemspec not 
  honoring the _libdir rpm macro location, current fix temporary for OpenShift
  Online. Will follow up upstream for perminant fix.

* Thu Feb 07 2013 Adam Miller <admiller@redhat.com> - 1.8.1-3
- moved things to ruby_sitearch from ruby_extdir because extdir does not 
  evaluate to the expected location.

* Mon Jan 14 2013 Troy Dawson <tdawson@redhat.com> - 1.8.1-1
- Updated to version 1.8.1
- Updated spec to do fedora 18+ gem packaging
- Removed extra test tarball, now in gem

* Tue Oct 09 2012 Troy Dawson <tdawson@redhat.com> - 1.7.0-1
- Updated to version 1.7.0

* Wed Aug 08 2012 Vít Ondruch <vondruch@redhat.com> - 1.6.4-1
- Update to bson_ext 1.6.4.

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Feb 02 2012 Vít Ondruch <vondruch@redhat.com> - 1.4.0-4
- Rebuilt for Ruby 1.9.3.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Sep 23 2011 bkabrda <bkabrda@redhat.com> - 1.4.0-2
- Moved test cleanup to check section.

* Thu Sep 22 2011 Bohuslav Kabrda <bkabrda@redhat.com> - 1.4.0-1
- Version 1.4.0 (removed the fix for failing tests, as it is now in upstream).

* Tue Sep 20 2011 Bohuslav Kabrda <bkabrda@redhat.com> - 1.3.1-2
- Added the fix for failing tests on i386 (should be fixed in 1.4.0, so it can be removed then) -
  see https://github.com/mongodb/mongo-ruby-driver/commit/e613880922beaf1e80274aa183aa5ac0a9d09ac4

* Thu Sep 08 2011 Bohuslav Kabrda <bkabrda@redhat.com> - 1.3.1-1
- Initial package
